Bug 206089 - Smooth transition from Plymouth to KDM when KMS is enabled.
Summary: Smooth transition from Plymouth to KDM when KMS is enabled.
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kdm
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR wishlist with 218 votes (vote)
Target Milestone: ---
Assignee: kdm bugs tracker
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-03 11:50 UTC by Diego
Modified: 2018-04-17 08:33 UTC (History)
15 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
kdm to use active vt when using plymouth (1.57 KB, patch)
2009-12-11 17:59 UTC, Rex Dieter
Details
Revised KDM <-> Plymouth interoperation patch (5.39 KB, patch)
2013-10-21 16:59 UTC, Ivan Shapovalov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego 2009-09-03 11:50:11 UTC
Version:            (using KDE 4.3.0)
OS:                Linux
Installed from:    Fedora RPMs

This is a wish: probably it will not be fixed sometime soon, but this helps to keep track of the status of the work and to collect possible votes for the feature.

Kernel Modesetting drivers are becoming more and more widespread (most of the major distributions will enable it), but at the moment smooth transition between Plymouth and KDM isn't implemented, so one of the features of KMS itself gets lost.

As stated here:
http://lists.fedoraproject.org/pipermail/fedora-kde/2009-September/003901.html
http://lists.fedoraproject.org/pipermail/fedora-kde/2009-September/003907.html
team work is needed between KDM and Plymouth.
Comment 1 Diego 2009-11-29 12:47:33 UTC
Interesting article about Plymouth, X and GDM; it explains several things:
http://blogs.gnome.org/halfline/2009/11/28/plymouth-%e2%9f%b6-x-transition/
Comment 2 Rex Dieter 2009-12-11 17:57:22 UTC
The first 2 steps @ making this work:
1.  start X using (new/undocumented, grr...) -nr option, to not clear screen on startup
2.  patch kdm to use the current/active vt (instead of what's specified in kdmrc).  Also, quite fugly.
3.  todo:  for polish, offer an animated transition from plymouth background to kdm one.
Comment 3 Rex Dieter 2009-12-11 17:59:54 UTC
Created attachment 38996 [details]
kdm to use active vt when using plymouth

code lifted from fedora 12's gdm package.  patch against 4.3 branch.
Comment 4 Oswald Buddenhagen 2010-05-19 09:49:27 UTC
newer patch now here: http://cvs.fedoraproject.org/viewvc/devel/kdebase-workspace/kdebase-workspace-4.4.2-kdm_plymouth081.patch?revision=1.2&view=markup
it's sorta suboptimal and excessively verbose, but it looks sane in principle.
Comment 6 Diego 2010-10-31 09:38:34 UTC
Is it in Fedora 14 and / or any other distro? Is there something missing to merge it upstream?
Comment 7 Ignat Semenov 2010-11-07 17:40:30 UTC
Yes, it is in Fedora now. Installed Fedora 14 KDE Live CD and with nouveau I can see the transition, i.e. Plymouth background s there when X starts. The cursor appears right over fhe "f" logo. So this patch got accepted in Fedora (not upstream though, it seems) and the bug can be closed as no distros apart from Fedora now implement the Plymouth KMS feature. (KUbuntu comes to mind, I know that Ubuntu now uses Plymouth or was going to use it, don't know about KUbuntu though)
Comment 8 Diego 2010-11-07 17:58:54 UTC
Kubuntu:
http://blog.nixternal.com/2010.03.28/kubuntu-plymouth-theme/
Pardus:
http://blog.bluzz.net/tag/plymouth/
Mandriva:
http://wiki.mandriva.com/en/2010.0_Beta#Plymouth

I think the bug can be closed only when the patch is applied to KDM.
Comment 9 Alex Fiestas 2010-12-22 02:20:01 UTC
So what do you think Oswald? can we have this patch applied for KDE 4.6? would be awesome.
Comment 10 Nikita Skovoroda 2011-03-18 19:07:56 UTC
Will this feature be in 4.7?
Comment 11 benni 2011-03-22 18:45:34 UTC
I'm waiting for this, too. Using Gentoo and Arch Linux.
Comment 12 Nikos Chantziaras 2011-05-14 21:56:48 UTC
I've applied the patch from #5 to KDM that comes with 4.6.3, but it doesn't work. The transition still doesn't happen correctly.

Altering kdmrc and appending -nr to ServerCmd results in X not starting. "-nr" is not a valid option. (X.Org server 1.10.1.)

So how is this supposed to work? I'm on Gentoo, if it matters.
Comment 13 george panta 2011-08-26 23:15:28 UTC
@Nikos Chantziaras

-nr option is no longer valid. Append "-background none" to ServerArgsLocal= in kdmrc.

Have it working flawlessly on ArchLinux with systemd as init.

What is the status of this patch getting upstream in KDE?

As more distros switch to systemd and/or plymouth this would be very nice to have. (Rebuilding kdebase-workspace is at least  a 30+ minute compile even on newer machines).
Comment 14 Sebastian Krzyszkowiak 2012-08-15 18:45:03 UTC
Two years after patch was made and this bug is still without any feedback from KDE devs? Oh, c'mon guys!
Comment 15 Ivan Shapovalov 2013-10-21 16:59:17 UTC
Created attachment 82994 [details]
Revised KDM <-> Plymouth interoperation patch

Attaching a revised Plymouth interoperation patch against 4.11.2, based on Ubuntu's one.
It handles:
- VT override
- Plymouth talking (`deactivate` and `quit --retain-splash`)
- X server option `-background none` to avoid painting black over the splash remains

Any chance this can be applied?
Comment 16 Nikita Skovoroda 2013-10-22 16:19:27 UTC
Perhaps you should make a review request at https://git.reviewboard.kde.org
Comment 17 Christoph Feck 2013-11-01 10:05:07 UTC
Ivan, see comment #16.
Comment 18 Christoph Feck 2013-11-17 22:50:13 UTC
Ivan, if a review request has already been opened at https://git.reviewboard.kde.org please add the link here.
Comment 19 Nate Graham 2018-04-16 20:25:55 UTC
KDM is unmaintained and not used in KDE Plasma 5.

SDDM is the login manager used in KDE Plasma 5. If you still have this same issue with SDDM, please file an issue on the SDDM bugtracker (after doing a search for existing issues first!): https://github.com/sddm/sddm/issues/